<form
  [formGroup]="form"
  (ngSubmit)="onFilter()"
  class="merchants-table-filters"
>
  <layout-filter-content
    [title]="
      'MERCHANT_MANAGER.NEW_GROUP.MERCHANTS.MERCHANT_LIST_TITLE' | translate
    "
    [description]="
      'MERCHANT_MANAGER.NEW_GROUP.MERCHANTS.MERCHANT_LIST_DESCRIPTION'
        | translate
    "
    [results]="(merchants$ | async)?.filtered"
    [hasFiltredData]="isMerchantsFiltred$ | async"
    (cleanFilters)="onCleanFilters()"
  >
    <div slot="filters" class="filters">
      <mo-input
        [formControlName]="CONTROLS_NAMES.SEARCH"
        [placeholder]="
          'MERCHANT_MANAGER.NEW_GROUP.MERCHANTS.MERCHANT_LIST_FILTERS.SEARCH'
            | translate
        "
        [icon]="'uil-search'"
        [iconPosition]="ICON_POSITION.RIGHT"
      ></mo-input>
      <mo-input
        [formControlName]="CONTROLS_NAMES.MCC"
        [placeholder]="
          'MERCHANT_MANAGER.NEW_GROUP.MERCHANTS.MERCHANT_LIST_FILTERS.MCC_ID'
            | translate
        "
        [type]="INPUT_TYPE.NUMBER"
        [icon]="'uil-search'"
        [minlength]="4"
        [maxlength]="4"
        [iconPosition]="ICON_POSITION.RIGHT"
      ></mo-input>
      <div></div>
      <div></div>
      <mo-button
        [text]="'APP.FILTERS.BTN_SEARCH' | translate"
        [designClass]="BUTTON_DESIGN_CLASS.PRIMARY_WHITE"
        [displayBlock]="true"
        [size]="SIZES.MD"
        [type]="BUTTON_TYPE.SUBMIT"
        [isDisabled]="form.invalid"
      >
      </mo-button>
    </div>
  </layout-filter-content>
</form>
